# eric4.QScintilla.Lexers.LexerCMake

Module implementing a CMake lexer with some additional methods.

### Global Attributes

None

### Classes

LexerCMake | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCMake

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerCMake, Lexer

### Class Attributes

None

### Methods

LexerCMake | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerCMake (Constructor)

LexerCMake(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerCMake.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerCMake.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerCMake.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up